import 'package:flutter/material.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';
import 'package:gmalpha_flutter/macros/ALDevice.dart';
import 'package:flutter/semantics.dart';


class MessageHomePage extends StatefulWidget {
  @override
  _MessageHomePageState createState() => _MessageHomePageState();
}

class _MessageHomePageState extends State<MessageHomePage> {

  List<Map> commentsList=[{'name': 'Burial', 'icon': 'http://alpha-s.gmeiapp.com/2018/12/23/921d3a004e-w', 'time': '1.560856220460315E9', 'content':'卖萌打滚求翻牌'},
                          {'name': '거짓말 ', 'icon': 'http://alpha-s.gmeiapp.com/2018/12/23/8179d48c63-w', 'time': '1.560856220460315E9', 'content':'小姐姐，作图app是啥'},
                          {'name': 'blugder ', 'icon': 'http://alpha-s.gmeiapp.com/2018/12/23/8179d48c63-w', 'time': '1.560856220460315E9', 'content':'拍照表情很自然'}
                          ];

   GlobalKey<EasyRefreshState> _easyRefreshKey =new GlobalKey<EasyRefreshState>();
  GlobalKey<RefreshFooterState> _footerKey = new GlobalKey<RefreshFooterState>();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // body: ListView(children: _getListData()),
      body: FutureBuilder(
        builder: (context, snapshot){
          // if (snapshot.hasData) {
            return EasyRefresh(
              refreshFooter: ClassicsFooter(
                key: _footerKey,
                moreInfo: '加载中',
                loadReadyText: '上拉加载',
                showMore: true,
              ), 
              child: ListView(
                children: <Widget>[
                  _comments(),
                ],
              ),
            );
          // } else {
          //   return Center(
          //     child: Text('加载中'),
          //   );
          // }
        },
      ),
    );
  }

 Widget _comments() {
   return Container(
     child: Column(
       children: <Widget>[
          _commentList()
       ],
     ),
   ); 
 }

 Widget _commentList() {
    List<Widget> listwidget = commentsList.map((val){
  
    var thumbImg = new Container(
      width: 42,
      height: 42,
      decoration: BoxDecoration(
        shape: BoxShape.circle,
        image: new DecorationImage(
          image: new NetworkImage(val['icon']),
        )
      ),
    );

    var titleRow = new Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: <Widget>[
        new Row (
           mainAxisAlignment: MainAxisAlignment.start,
           children: <Widget>[ 
              Text(val['name'], style: TextStyle(color: Color(0xff323232), fontWeight: FontWeight.bold, fontSize: 13)),
              new Padding (
               padding: EdgeInsets.only(left: 8),
              child:   Text('评论了你', style: TextStyle(color: Color(0xff323232), fontSize: 13)),
             )
           ],
         ),
         new Row(
           children: <Widget>[
             Text('aaaaaaafff', style: TextStyle(color: Color(0xff323232), fontSize: 13)),
           ],
         )
      ],
    );

    var timeRow = new Row(
      children: <Widget>[
        new Expanded(
          child: new Text(val['time']),
        )
      ],
    );
    var row = new Row(
      children: <Widget>[
        new Padding(
          padding: const EdgeInsets.only(left: 16, top: 20, bottom: 15),
          child: new Container(
            child: new Center(
              child: thumbImg,
            ),
          ),
        ),
        new Expanded(
          flex: 1,
          child: new Padding(
            padding: const EdgeInsets.all(10.0),
            child: new Column(
              children: <Widget>[
                titleRow,
                new Padding(
                  padding: const EdgeInsets.fromLTRB(0.0, 8.0, 0.0, 0.0),
                  child: timeRow,
                )
              ],
            ),
          ),
        ),
      ],
    );

    return InkWell(
      child: Container(
        padding: EdgeInsets.all(5.0),
        width: ALDevice.width,
        child: row
      ),
    );
   }).toList();
   return Wrap(
     spacing: 2,
     children: listwidget,
   );
 }

}